package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class TCheckDetailExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TCheckDetailExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<java.sql.Date>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andDetailIdIsNull() {
            addCriterion("DETAIL_ID is null");
            return (Criteria) this;
        }

        public Criteria andDetailIdIsNotNull() {
            addCriterion("DETAIL_ID is not null");
            return (Criteria) this;
        }

        public Criteria andDetailIdEqualTo(String value) {
            addCriterion("DETAIL_ID =", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotEqualTo(String value) {
            addCriterion("DETAIL_ID <>", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdGreaterThan(String value) {
            addCriterion("DETAIL_ID >", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdGreaterThanOrEqualTo(String value) {
            addCriterion("DETAIL_ID >=", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdLessThan(String value) {
            addCriterion("DETAIL_ID <", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdLessThanOrEqualTo(String value) {
            addCriterion("DETAIL_ID <=", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdLike(String value) {
            addCriterion("DETAIL_ID like", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotLike(String value) {
            addCriterion("DETAIL_ID not like", value, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdIn(List<String> values) {
            addCriterion("DETAIL_ID in", values, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotIn(List<String> values) {
            addCriterion("DETAIL_ID not in", values, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdBetween(String value1, String value2) {
            addCriterion("DETAIL_ID between", value1, value2, "detailId");
            return (Criteria) this;
        }

        public Criteria andDetailIdNotBetween(String value1, String value2) {
            addCriterion("DETAIL_ID not between", value1, value2, "detailId");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNull() {
            addCriterion("CHECK_ID is null");
            return (Criteria) this;
        }

        public Criteria andCheckIdIsNotNull() {
            addCriterion("CHECK_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCheckIdEqualTo(String value) {
            addCriterion("CHECK_ID =", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotEqualTo(String value) {
            addCriterion("CHECK_ID <>", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThan(String value) {
            addCriterion("CHECK_ID >", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdGreaterThanOrEqualTo(String value) {
            addCriterion("CHECK_ID >=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThan(String value) {
            addCriterion("CHECK_ID <", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLessThanOrEqualTo(String value) {
            addCriterion("CHECK_ID <=", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdLike(String value) {
            addCriterion("CHECK_ID like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotLike(String value) {
            addCriterion("CHECK_ID not like", value, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdIn(List<String> values) {
            addCriterion("CHECK_ID in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotIn(List<String> values) {
            addCriterion("CHECK_ID not in", values, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdBetween(String value1, String value2) {
            addCriterion("CHECK_ID between", value1, value2, "checkId");
            return (Criteria) this;
        }

        public Criteria andCheckIdNotBetween(String value1, String value2) {
            addCriterion("CHECK_ID not between", value1, value2, "checkId");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNull() {
            addCriterion("START_TIME is null");
            return (Criteria) this;
        }

        public Criteria andStartTimeIsNotNull() {
            addCriterion("START_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andStartTimeEqualTo(Date value) {
            addCriterion("START_TIME =", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotEqualTo(Date value) {
            addCriterion("START_TIME <>", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThan(Date value) {
            addCriterion("START_TIME >", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("START_TIME >=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThan(Date value) {
            addCriterion("START_TIME <", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeLessThanOrEqualTo(Date value) {
            addCriterion("START_TIME <=", value, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeIn(List<Date> values) {
            addCriterion("START_TIME in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotIn(List<Date> values) {
            addCriterion("START_TIME not in", values, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeBetween(Date value1, Date value2) {
            addCriterion("START_TIME between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andStartTimeNotBetween(Date value1, Date value2) {
            addCriterion("START_TIME not between", value1, value2, "startTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNull() {
            addCriterion("END_TIME is null");
            return (Criteria) this;
        }

        public Criteria andEndTimeIsNotNull() {
            addCriterion("END_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andEndTimeEqualTo(Date value) {
            addCriterion("END_TIME =", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotEqualTo(Date value) {
            addCriterion("END_TIME <>", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThan(Date value) {
            addCriterion("END_TIME >", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("END_TIME >=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThan(Date value) {
            addCriterion("END_TIME <", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeLessThanOrEqualTo(Date value) {
            addCriterion("END_TIME <=", value, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeIn(List<Date> values) {
            addCriterion("END_TIME in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotIn(List<Date> values) {
            addCriterion("END_TIME not in", values, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeBetween(Date value1, Date value2) {
            addCriterion("END_TIME between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andEndTimeNotBetween(Date value1, Date value2) {
            addCriterion("END_TIME not between", value1, value2, "endTime");
            return (Criteria) this;
        }

        public Criteria andCheckDaysIsNull() {
            addCriterion("CHECK_DAYS is null");
            return (Criteria) this;
        }

        public Criteria andCheckDaysIsNotNull() {
            addCriterion("CHECK_DAYS is not null");
            return (Criteria) this;
        }

        public Criteria andCheckDaysEqualTo(Integer value) {
            addCriterion("CHECK_DAYS =", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysNotEqualTo(Integer value) {
            addCriterion("CHECK_DAYS <>", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysGreaterThan(Integer value) {
            addCriterion("CHECK_DAYS >", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysGreaterThanOrEqualTo(Integer value) {
            addCriterion("CHECK_DAYS >=", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysLessThan(Integer value) {
            addCriterion("CHECK_DAYS <", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysLessThanOrEqualTo(Integer value) {
            addCriterion("CHECK_DAYS <=", value, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysIn(List<Integer> values) {
            addCriterion("CHECK_DAYS in", values, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysNotIn(List<Integer> values) {
            addCriterion("CHECK_DAYS not in", values, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_DAYS between", value1, value2, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckDaysNotBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_DAYS not between", value1, value2, "checkDays");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlIsNull() {
            addCriterion("CHECK_INTVERL is null");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlIsNotNull() {
            addCriterion("CHECK_INTVERL is not null");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL =", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlNotEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL <>", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlGreaterThan(Integer value) {
            addCriterion("CHECK_INTVERL >", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlGreaterThanOrEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL >=", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlLessThan(Integer value) {
            addCriterion("CHECK_INTVERL <", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlLessThanOrEqualTo(Integer value) {
            addCriterion("CHECK_INTVERL <=", value, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlIn(List<Integer> values) {
            addCriterion("CHECK_INTVERL in", values, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlNotIn(List<Integer> values) {
            addCriterion("CHECK_INTVERL not in", values, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_INTVERL between", value1, value2, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andCheckIntverlNotBetween(Integer value1, Integer value2) {
            addCriterion("CHECK_INTVERL not between", value1, value2, "checkIntverl");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdIsNull() {
            addCriterion("CHKPALT_ID is null");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdIsNotNull() {
            addCriterion("CHKPALT_ID is not null");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdEqualTo(String value) {
            addCriterion("CHKPALT_ID =", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdNotEqualTo(String value) {
            addCriterion("CHKPALT_ID <>", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdGreaterThan(String value) {
            addCriterion("CHKPALT_ID >", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdGreaterThanOrEqualTo(String value) {
            addCriterion("CHKPALT_ID >=", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdLessThan(String value) {
            addCriterion("CHKPALT_ID <", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdLessThanOrEqualTo(String value) {
            addCriterion("CHKPALT_ID <=", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdLike(String value) {
            addCriterion("CHKPALT_ID like", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdNotLike(String value) {
            addCriterion("CHKPALT_ID not like", value, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdIn(List<String> values) {
            addCriterion("CHKPALT_ID in", values, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdNotIn(List<String> values) {
            addCriterion("CHKPALT_ID not in", values, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdBetween(String value1, String value2) {
            addCriterion("CHKPALT_ID between", value1, value2, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andChkpaltIdNotBetween(String value1, String value2) {
            addCriterion("CHKPALT_ID not between", value1, value2, "chkpaltId");
            return (Criteria) this;
        }

        public Criteria andCellIdIsNull() {
            addCriterion("CELL_ID is null");
            return (Criteria) this;
        }

        public Criteria andCellIdIsNotNull() {
            addCriterion("CELL_ID is not null");
            return (Criteria) this;
        }

        public Criteria andCellIdEqualTo(String value) {
            addCriterion("CELL_ID =", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotEqualTo(String value) {
            addCriterion("CELL_ID <>", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdGreaterThan(String value) {
            addCriterion("CELL_ID >", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdGreaterThanOrEqualTo(String value) {
            addCriterion("CELL_ID >=", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdLessThan(String value) {
            addCriterion("CELL_ID <", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdLessThanOrEqualTo(String value) {
            addCriterion("CELL_ID <=", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdLike(String value) {
            addCriterion("CELL_ID like", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotLike(String value) {
            addCriterion("CELL_ID not like", value, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdIn(List<String> values) {
            addCriterion("CELL_ID in", values, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotIn(List<String> values) {
            addCriterion("CELL_ID not in", values, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdBetween(String value1, String value2) {
            addCriterion("CELL_ID between", value1, value2, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellIdNotBetween(String value1, String value2) {
            addCriterion("CELL_ID not between", value1, value2, "cellId");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagIsNull() {
            addCriterion("CELL_STATIC_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagIsNotNull() {
            addCriterion("CELL_STATIC_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagEqualTo(String value) {
            addCriterion("CELL_STATIC_FLAG =", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagNotEqualTo(String value) {
            addCriterion("CELL_STATIC_FLAG <>", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagGreaterThan(String value) {
            addCriterion("CELL_STATIC_FLAG >", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagGreaterThanOrEqualTo(String value) {
            addCriterion("CELL_STATIC_FLAG >=", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagLessThan(String value) {
            addCriterion("CELL_STATIC_FLAG <", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagLessThanOrEqualTo(String value) {
            addCriterion("CELL_STATIC_FLAG <=", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagLike(String value) {
            addCriterion("CELL_STATIC_FLAG like", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagNotLike(String value) {
            addCriterion("CELL_STATIC_FLAG not like", value, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagIn(List<String> values) {
            addCriterion("CELL_STATIC_FLAG in", values, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagNotIn(List<String> values) {
            addCriterion("CELL_STATIC_FLAG not in", values, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagBetween(String value1, String value2) {
            addCriterion("CELL_STATIC_FLAG between", value1, value2, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andCellStaticFlagNotBetween(String value1, String value2) {
            addCriterion("CELL_STATIC_FLAG not between", value1, value2, "cellStaticFlag");
            return (Criteria) this;
        }

        public Criteria andStdValueIsNull() {
            addCriterion("STD_VALUE is null");
            return (Criteria) this;
        }

        public Criteria andStdValueIsNotNull() {
            addCriterion("STD_VALUE is not null");
            return (Criteria) this;
        }

        public Criteria andStdValueEqualTo(Integer value) {
            addCriterion("STD_VALUE =", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueNotEqualTo(Integer value) {
            addCriterion("STD_VALUE <>", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueGreaterThan(Integer value) {
            addCriterion("STD_VALUE >", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueGreaterThanOrEqualTo(Integer value) {
            addCriterion("STD_VALUE >=", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueLessThan(Integer value) {
            addCriterion("STD_VALUE <", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueLessThanOrEqualTo(Integer value) {
            addCriterion("STD_VALUE <=", value, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueIn(List<Integer> values) {
            addCriterion("STD_VALUE in", values, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueNotIn(List<Integer> values) {
            addCriterion("STD_VALUE not in", values, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueBetween(Integer value1, Integer value2) {
            addCriterion("STD_VALUE between", value1, value2, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStdValueNotBetween(Integer value1, Integer value2) {
            addCriterion("STD_VALUE not between", value1, value2, "stdValue");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNull() {
            addCriterion("STATION_CODE is null");
            return (Criteria) this;
        }

        public Criteria andStationCodeIsNotNull() {
            addCriterion("STATION_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andStationCodeEqualTo(String value) {
            addCriterion("STATION_CODE =", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotEqualTo(String value) {
            addCriterion("STATION_CODE <>", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThan(String value) {
            addCriterion("STATION_CODE >", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeGreaterThanOrEqualTo(String value) {
            addCriterion("STATION_CODE >=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThan(String value) {
            addCriterion("STATION_CODE <", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLessThanOrEqualTo(String value) {
            addCriterion("STATION_CODE <=", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeLike(String value) {
            addCriterion("STATION_CODE like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotLike(String value) {
            addCriterion("STATION_CODE not like", value, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeIn(List<String> values) {
            addCriterion("STATION_CODE in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotIn(List<String> values) {
            addCriterion("STATION_CODE not in", values, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeBetween(String value1, String value2) {
            addCriterion("STATION_CODE between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andStationCodeNotBetween(String value1, String value2) {
            addCriterion("STATION_CODE not between", value1, value2, "stationCode");
            return (Criteria) this;
        }

        public Criteria andRevAllNumIsNull() {
            addCriterion("REV_ALL_NUM is null");
            return (Criteria) this;
        }

        public Criteria andRevAllNumIsNotNull() {
            addCriterion("REV_ALL_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andRevAllNumEqualTo(Integer value) {
            addCriterion("REV_ALL_NUM =", value, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumNotEqualTo(Integer value) {
            addCriterion("REV_ALL_NUM <>", value, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumGreaterThan(Integer value) {
            addCriterion("REV_ALL_NUM >", value, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("REV_ALL_NUM >=", value, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumLessThan(Integer value) {
            addCriterion("REV_ALL_NUM <", value, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumLessThanOrEqualTo(Integer value) {
            addCriterion("REV_ALL_NUM <=", value, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumIn(List<Integer> values) {
            addCriterion("REV_ALL_NUM in", values, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumNotIn(List<Integer> values) {
            addCriterion("REV_ALL_NUM not in", values, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumBetween(Integer value1, Integer value2) {
            addCriterion("REV_ALL_NUM between", value1, value2, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andRevAllNumNotBetween(Integer value1, Integer value2) {
            addCriterion("REV_ALL_NUM not between", value1, value2, "revAllNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumIsNull() {
            addCriterion("MUST_REV_NUM is null");
            return (Criteria) this;
        }

        public Criteria andMustRevNumIsNotNull() {
            addCriterion("MUST_REV_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andMustRevNumEqualTo(Integer value) {
            addCriterion("MUST_REV_NUM =", value, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumNotEqualTo(Integer value) {
            addCriterion("MUST_REV_NUM <>", value, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumGreaterThan(Integer value) {
            addCriterion("MUST_REV_NUM >", value, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("MUST_REV_NUM >=", value, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumLessThan(Integer value) {
            addCriterion("MUST_REV_NUM <", value, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumLessThanOrEqualTo(Integer value) {
            addCriterion("MUST_REV_NUM <=", value, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumIn(List<Integer> values) {
            addCriterion("MUST_REV_NUM in", values, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumNotIn(List<Integer> values) {
            addCriterion("MUST_REV_NUM not in", values, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumBetween(Integer value1, Integer value2) {
            addCriterion("MUST_REV_NUM between", value1, value2, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andMustRevNumNotBetween(Integer value1, Integer value2) {
            addCriterion("MUST_REV_NUM not between", value1, value2, "mustRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumIsNull() {
            addCriterion("REAL_REV_NUM is null");
            return (Criteria) this;
        }

        public Criteria andRealRevNumIsNotNull() {
            addCriterion("REAL_REV_NUM is not null");
            return (Criteria) this;
        }

        public Criteria andRealRevNumEqualTo(Integer value) {
            addCriterion("REAL_REV_NUM =", value, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumNotEqualTo(Integer value) {
            addCriterion("REAL_REV_NUM <>", value, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumGreaterThan(Integer value) {
            addCriterion("REAL_REV_NUM >", value, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumGreaterThanOrEqualTo(Integer value) {
            addCriterion("REAL_REV_NUM >=", value, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumLessThan(Integer value) {
            addCriterion("REAL_REV_NUM <", value, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumLessThanOrEqualTo(Integer value) {
            addCriterion("REAL_REV_NUM <=", value, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumIn(List<Integer> values) {
            addCriterion("REAL_REV_NUM in", values, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumNotIn(List<Integer> values) {
            addCriterion("REAL_REV_NUM not in", values, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumBetween(Integer value1, Integer value2) {
            addCriterion("REAL_REV_NUM between", value1, value2, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andRealRevNumNotBetween(Integer value1, Integer value2) {
            addCriterion("REAL_REV_NUM not between", value1, value2, "realRevNum");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeIsNull() {
            addCriterion("NEXT_REV_TIME is null");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeIsNotNull() {
            addCriterion("NEXT_REV_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeEqualTo(Date value) {
            addCriterion("NEXT_REV_TIME =", value, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeNotEqualTo(Date value) {
            addCriterion("NEXT_REV_TIME <>", value, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeGreaterThan(Date value) {
            addCriterion("NEXT_REV_TIME >", value, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("NEXT_REV_TIME >=", value, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeLessThan(Date value) {
            addCriterion("NEXT_REV_TIME <", value, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeLessThanOrEqualTo(Date value) {
            addCriterion("NEXT_REV_TIME <=", value, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeIn(List<Date> values) {
            addCriterion("NEXT_REV_TIME in", values, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeNotIn(List<Date> values) {
            addCriterion("NEXT_REV_TIME not in", values, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeBetween(Date value1, Date value2) {
            addCriterion("NEXT_REV_TIME between", value1, value2, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andNextRevTimeNotBetween(Date value1, Date value2) {
            addCriterion("NEXT_REV_TIME not between", value1, value2, "nextRevTime");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagIsNull() {
            addCriterion("EARLY_FLAG is null");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagIsNotNull() {
            addCriterion("EARLY_FLAG is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagEqualTo(String value) {
            addCriterion("EARLY_FLAG =", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotEqualTo(String value) {
            addCriterion("EARLY_FLAG <>", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagGreaterThan(String value) {
            addCriterion("EARLY_FLAG >", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagGreaterThanOrEqualTo(String value) {
            addCriterion("EARLY_FLAG >=", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagLessThan(String value) {
            addCriterion("EARLY_FLAG <", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagLessThanOrEqualTo(String value) {
            addCriterion("EARLY_FLAG <=", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagLike(String value) {
            addCriterion("EARLY_FLAG like", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotLike(String value) {
            addCriterion("EARLY_FLAG not like", value, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagIn(List<String> values) {
            addCriterion("EARLY_FLAG in", values, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotIn(List<String> values) {
            addCriterion("EARLY_FLAG not in", values, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagBetween(String value1, String value2) {
            addCriterion("EARLY_FLAG between", value1, value2, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyFlagNotBetween(String value1, String value2) {
            addCriterion("EARLY_FLAG not between", value1, value2, "earlyFlag");
            return (Criteria) this;
        }

        public Criteria andEarlyManIsNull() {
            addCriterion("EARLY_MAN is null");
            return (Criteria) this;
        }

        public Criteria andEarlyManIsNotNull() {
            addCriterion("EARLY_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyManEqualTo(String value) {
            addCriterion("EARLY_MAN =", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotEqualTo(String value) {
            addCriterion("EARLY_MAN <>", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManGreaterThan(String value) {
            addCriterion("EARLY_MAN >", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManGreaterThanOrEqualTo(String value) {
            addCriterion("EARLY_MAN >=", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManLessThan(String value) {
            addCriterion("EARLY_MAN <", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManLessThanOrEqualTo(String value) {
            addCriterion("EARLY_MAN <=", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManLike(String value) {
            addCriterion("EARLY_MAN like", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotLike(String value) {
            addCriterion("EARLY_MAN not like", value, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManIn(List<String> values) {
            addCriterion("EARLY_MAN in", values, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotIn(List<String> values) {
            addCriterion("EARLY_MAN not in", values, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManBetween(String value1, String value2) {
            addCriterion("EARLY_MAN between", value1, value2, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyManNotBetween(String value1, String value2) {
            addCriterion("EARLY_MAN not between", value1, value2, "earlyMan");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeIsNull() {
            addCriterion("EARLY_TIME is null");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeIsNotNull() {
            addCriterion("EARLY_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeEqualTo(Date value) {
            addCriterionForJDBCDate("EARLY_TIME =", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeNotEqualTo(Date value) {
            addCriterionForJDBCDate("EARLY_TIME <>", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeGreaterThan(Date value) {
            addCriterionForJDBCDate("EARLY_TIME >", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("EARLY_TIME >=", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeLessThan(Date value) {
            addCriterionForJDBCDate("EARLY_TIME <", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("EARLY_TIME <=", value, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeIn(List<Date> values) {
            addCriterionForJDBCDate("EARLY_TIME in", values, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeNotIn(List<Date> values) {
            addCriterionForJDBCDate("EARLY_TIME not in", values, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("EARLY_TIME between", value1, value2, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyTimeNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("EARLY_TIME not between", value1, value2, "earlyTime");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseIsNull() {
            addCriterion("EARLY_BECAUSE is null");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseIsNotNull() {
            addCriterion("EARLY_BECAUSE is not null");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseEqualTo(String value) {
            addCriterion("EARLY_BECAUSE =", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotEqualTo(String value) {
            addCriterion("EARLY_BECAUSE <>", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseGreaterThan(String value) {
            addCriterion("EARLY_BECAUSE >", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseGreaterThanOrEqualTo(String value) {
            addCriterion("EARLY_BECAUSE >=", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseLessThan(String value) {
            addCriterion("EARLY_BECAUSE <", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseLessThanOrEqualTo(String value) {
            addCriterion("EARLY_BECAUSE <=", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseLike(String value) {
            addCriterion("EARLY_BECAUSE like", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotLike(String value) {
            addCriterion("EARLY_BECAUSE not like", value, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseIn(List<String> values) {
            addCriterion("EARLY_BECAUSE in", values, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotIn(List<String> values) {
            addCriterion("EARLY_BECAUSE not in", values, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseBetween(String value1, String value2) {
            addCriterion("EARLY_BECAUSE between", value1, value2, "earlyBecause");
            return (Criteria) this;
        }

        public Criteria andEarlyBecauseNotBetween(String value1, String value2) {
            addCriterion("EARLY_BECAUSE not between", value1, value2, "earlyBecause");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}